package com.base.datarecovery.ads

import android.app.Activity
import com.base.datarecovery.ads.admob.AdmobInterstitialUtils
import com.base.datarecovery.ads.max.AdMaxInterstitialUtils
import com.base.datarecovery.help.ConfigHelper

object AdmobMaxHelper {

    fun admobMaxShowInterstitialAd(activity: Activity, onHidden: (() -> Unit)? = null) {
        if (ConfigHelper.admobTrueMaxFlase) {
            AdmobInterstitialUtils.showInterstitialAd(activity) {
                onHidden?.invoke()
            }
        } else {
            AdMaxInterstitialUtils.showInterstitialAd(activity) {
                onHidden?.invoke()
            }
        }
    }
}